#include "CivOptSchedEngine.h"
#include "CivInpConvertor.h"
#include "GenAlg.h"
#include "FirstOptScheduling.h"



CivOptSchedEngine::CivOptSchedEngine(const string& uri):mUri(uri)
{

}

bool CivOptSchedEngine::optimalScheduling()
{
	// תinpļ
	CivInpConvertor convertor(mUri);
	string inpFile = convertor.convertBaseInp();

	// 
	GenAlg genAlg(GenAlg::BinaryCoding);

	// Ⱥʼ
	popsize = 100;
	genAlg.init(popsize, mMutRate, mCrossRate, mGenLength, 0, 0);
	// genAlg.epoch();

}

void CivOptSchedEngine::schedulingResultToJson(string& json)
{

}

void CivOptSchedEngine::setMonitor(const map<string, vector<double>>& monitorMap)
{
	mMonitoring = monitorMap;
}

void CivOptSchedEngine::setDecisionVariableStatusBit(const map<int,string>& statusMap)
{
	mStatusBit = statusMap;
}

void CivOptSchedEngine::setStartTime(const string& time)
{
	mStartTime = time;
}

void CivOptSchedEngine::setEndTime(const string& time)
{
	mEndTime = time;
}